import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T34B extends Component
{

    name='34B'
    desp = "Total Amount to be Paid"
    
    pattern = ""
    tno = -1
    
    keys=[1,2]

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = FormatAmount(obj.s2);
        
        let mval = `${obj.s1}${temp}`.replace('/','')
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Currency"
                     required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1} 
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select placeholder="Currency"  allowClear={true} value={value.s1} style={{ width: "100%" }} onChange={(val)=>this.onChange(1,val)}>
                                {
                                   Currency.map(cur=><Option key={cur} value={cur}>{cur}</Option>) 
                                }
                            </Select>
                </FormItem>
            </Col>
            <Col span={12}>
                <FormItem
                 label="Amount"  
                  required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                        
                        <Input   value={value.s2} onChange={e=>this.onChange(2,e.target.value)}   maxLength={16} style={{imeMode:'disabled'}} placeholder="Interbank Settled Amount"/>
                </FormItem>
            </Col>
        </Row>)
    }
}